import { PipeTransform } from '@angular/core';
import { IntlPipeOptions } from "../intl-pipe-options";
import * as i0 from "@angular/core";
export type IntlCountryPipeOptions = Partial<Intl.DisplayNamesOptions> & IntlPipeOptions;
export declare class IntlCountryPipe implements PipeTransform {
    readonly locale?: string | string[] | null | undefined;
    readonly defaultOptions?: Partial<Intl.DisplayNamesOptions> | null | undefined;
    constructor(locale?: string | string[] | null | undefined, defaultOptions?: Partial<Intl.DisplayNamesOptions> | null | undefined);
    transform(value: string | null | undefined, options?: IntlCountryPipeOptions): string | null;
    static ɵfac: i0.ɵɵFactoryDeclaration<IntlCountryPipe, [{ optional: true; }, { optional: true; }]>;
    static ɵpipe: i0.ɵɵPipeDeclaration<IntlCountryPipe, "intlCountry", true>;
}
