import { PipeTransform } from '@angular/core';
import { IntlPipeOptions } from "../intl-pipe-options";
import * as i0 from "@angular/core";
export type IntlCurrencyPipeOptions = Partial<Intl.NumberFormatOptions> & IntlPipeOptions;
export declare class IntlCurrencyPipe implements PipeTransform {
    readonly locale?: string | string[] | null | undefined;
    readonly defaultOptions?: Partial<Intl.NumberFormatOptions> | null | undefined;
    constructor(locale?: string | string[] | null | undefined, defaultOptions?: Partial<Intl.NumberFormatOptions> | null | undefined);
    transform(value: number | string | null | undefined, currency: string, options?: IntlCurrencyPipeOptions): string | null;
    static ɵfac: i0.ɵɵFactoryDeclaration<IntlCurrencyPipe, [{ optional: true; }, { optional: true; }]>;
    static ɵpipe: i0.ɵɵPipeDeclaration<IntlCurrencyPipe, "intlCurrency", true>;
}
