import { PipeTransform } from '@angular/core';
import { IntlPipeOptions } from "../intl-pipe-options";
import * as i0 from "@angular/core";
export type IntlDecimalPipeOptions = Partial<Intl.NumberFormatOptions> & IntlPipeOptions;
export declare class IntlDecimalPipe implements PipeTransform {
    readonly locale?: string | string[] | null | undefined;
    readonly defaultOptions?: Partial<Intl.NumberFormatOptions> | null | undefined;
    constructor(locale?: string | string[] | null | undefined, defaultOptions?: Partial<Intl.NumberFormatOptions> | null | undefined);
    transform(value: number | string | null | undefined, options?: IntlDecimalPipeOptions): string | null;
    static ɵfac: i0.ɵɵFactoryDeclaration<IntlDecimalPipe, [{ optional: true; }, { optional: true; }]>;
    static ɵpipe: i0.ɵɵPipeDeclaration<IntlDecimalPipe, "intlDecimal", true>;
}
